//---------------------------------------------------------------------------

#ifndef BqiH
#define BqiH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
typedef struct Pixel
{
   Byte b;
   Byte g;
   Byte r;
   Byte reserved;
} TPixel;

class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TImage *src;
        TImage *dst;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *Edit1;
        TEdit *Edit2;
        TButton *Button1;
        void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
    TPixel Biquadratic_Inter(float x, float y);
    float Inter(float f1, float f2, float f3, float d);
    float InterNorm(float f1, float f2, float f3, float d);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
